/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.text;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public class StringTraitsTest {
    
    
    @Test
    public void testIsEmpty() {
        assertTrue(StringTraits.isEmpty(""));
        assertTrue(StringTraits.isEmpty(null));
        
        assertFalse(StringTraits.isEmpty(" "));
        assertFalse(StringTraits.isEmpty("."));
        assertFalse(StringTraits.isEmpty(".."));
    }
    
    @Test
    public void testIsBlank() {
        assertTrue(StringTraits.isBlank(""));
        assertTrue(StringTraits.isBlank(null));
        
        assertTrue(StringTraits.isBlank(" "));
        assertTrue(StringTraits.isBlank("    \t "));
        
        assertFalse(StringTraits.isBlank("."));
        assertFalse(StringTraits.isBlank(".."));
        assertFalse(StringTraits.isBlank(" . . "));
    }
    
    @Test
    public void testIsNumber() {
        assertFalse(StringTraits.isNumber(null));
        assertFalse(StringTraits.isNumber(""));
        assertFalse(StringTraits.isNumber("  "));
        assertFalse(StringTraits.isNumber("qw"));
        assertFalse(StringTraits.isNumber("995w"));
        
        assertTrue(StringTraits.isNumber("9"));
        assertTrue(StringTraits.isNumber("875"));
    }
    
}
